FToggleMutableNode
Keywords: com.fg.ftreenodes.FToggleMutableNode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fg.ftreenodes
Class FToggleMutableNode

    java.lang.Object
      com.fg.ftree.FBasicNode
          com.fg.ftreenodes.FAbstractToggleNode
              com.fg.ftreenodes.FToggleNode
                  com.fg.ftreenodes.FToggleDataNode
                      com.fg.ftreenodes.FToggleMutableNode

All Implemented Interfaces:
  FActionConstants, FNodeCellGUI, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

public class FToggleMutableNode
extends FToggleDataNode

FToggleMutableNode extends `FToggleDataNode` with "extraClassOrId" field and provides a setter method to it. Thus, a FToggleMutableNode object can expose GUI components, provided with different types of "extra-controls", depending on the "extraClassOrId" current value. ("Extra-control" is a Swing component, which implements `ICellControl` interface and serves for displaying/editing of the node values). If "extraClassOrId" field contains a Class, then a respective object instance is created, oterwise the "extraClassOrId" value is used to retrieve an external dialog stored in FTree (see `FTree.getDialog(Object)`). If obtained "extra-control" is an instance of JComponent, it is used as an extra-control immediately, otherwise a `FDialogInvoker` extra-control will be used to invoke a JDialog.

Version:
  2.0
Author:
  Felix Golubov
See Also:
  `FToggleDataNode`, `FDialogInvoker`, `ICellControl`, `FTree`

Field Summary

Fields inherited from class com.fg.ftreenodes.FAbstractToggleNode
`TOGGLE_SELECTION_CHANGED`

Fields inherited from class com.fg.ftree.FBasicNode
`ALLOWS_CHILDREN, EDITABLE`

Fields inherited from interface com.fg.ftree.FActionConstants
`CHANGE_EXPANSION, DROP_SELECTION, EDIT_CELL, NO_ACTION, SELECT_NODE`

Constructor Summary
`FToggleMutableNode(CommonSettings cs)`
`FToggleMutableNode(CommonSettings cs, java.lang.String labelText, java.lang.Object value, java.lang.Object extraClassOrId, Params params)`

Method Summary
`java.lang.Object` | `getExtraClassOrId()`
`Params` | `getParameters()`
`void` | `setExtraClassOrId(java.lang.Object extraClassOrId)`
`void` | `setParameters(Params params)`

Methods inherited from class com.fg.ftreenodes.FToggleDataNode
`getValue, setValue`

Methods inherited from class com.fg.ftreenodes.FToggleNode
`getAssociate, setAssociate`

Methods inherited from class com.fg.ftreenodes.FAbstractToggleNode
`cellClicked, createCellControl, getAllowsFlattening, getCellControlKey, getChildrenValidity, getFadedLabelImage, getFolderBackground, getFolderBarColor, getFolderColor, getLabelImage, getLabelText, getNodeValidity, getRealChildAt, getRealChildCount, getRowHeight, getSubstituteNode, insert, isFolderBarDecorated, isNodeSelectionAllowed, isPathSelected, isRadioUnselectable, isToggleEnabled, isToggleRadio, isToggleSelected, isToggleVisible, remove, setAllowsFlattening, setFolderBarDecorated, setLabelText, setNodeValidity, setParameters, setRadioUnselectable, setToggleEnabled, setToggleRadio, setToggleSelected, setToggleVisible, toString, updateCellControl, updateNode`

Methods inherited from class com.fg.ftree.FBasicNode
`add, children, getAllowsChildren, getChildAt, getChildCount, getFlag, getIndex, getParent, getPath, isEditable, isLeaf, moveContentTo, remove, removeFromParent, setAllowsChildren, setBranchEditable, setEditable, setFlag, setParent, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FToggleMutableNode

    public FToggleMutableNode(CommonSettings cs)

### FToggleMutableNode

    public FToggleMutableNode(CommonSettings cs,
                              java.lang.String labelText,
                              java.lang.Object value,
                              java.lang.Object extraClassOrId,
                              Params params)

Method Detail

### setExtraClassOrId

    public void setExtraClassOrId(java.lang.Object extraClassOrId)

### setParameters

    public void setParameters(Params params)

### getExtraClassOrId

    public java.lang.Object getExtraClassOrId()

  Overrides:
    `getExtraClassOrId` in class `FToggleNode`

### getParameters

    public Params getParameters()

  Overrides:
    `getParameters` in class `FToggleNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD